/**
*Rsync App
* There are different ways implementing an App
*/
var logcenterApp = logcenterApp || {};  //Define App namespace, if you want.
/**
*Constructor UNAS App
*/
logcenterApp.App = function () {
    this.id = 'Log Center';
    this.name = 'Log Center';
    this.version = '6.0.7';
    this.active = false;
    this.menuIcon = '/apps/logcenter/images/logo.png?v=6.0.7&';
    this.shortcutIcon = '/apps/logcenter/images/logo.png?v=6.0.7&';
    this.entryUrl = '/apps/logcenter/logcenter.html?v=6.0.7&';
	//this.entryHelpUrl = '/apps/logcenter/logcenter_help.html?v=6.0.7&';
	var self = this;
    this.logcenterAppWindow = function () { //create app window
    	if(UNAS.CheckAppState('Log Center')){
    		return false;
    	}
        self.window=new MUI.Window({
            id: 'logcenterAppWindow',
            title: UNAS._('Log Center'),
            icon: '/apps/logcenter/images/logo_small.png?v=6.0.7&',
            width: 800,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [200, 2000], 'y': [150, 1500] },
			loadMethod: 'xhr',
            contentURL: '/apps/logcenter/logcenter.html?v=6.0.7&',
            require: {  css: ['/apps/logcenter/css/logcenter.css'] },
			onBeforeBuild: function(){UNAS.SetAppOpenedWindow("Log Center",'logcenterAppWindow')}
        });
    };
	this.logcenterAppUninstall = function (){
    	UNAS.RemoveDesktopShortcut('Log Center');
    	UNAS.RemoveMenu('Log Center');
    	UNAS.RemoveAppFromGroups('Log Center', 'ControlPanel');
    	UNAS.RemoveAppFromApps('Log Center');
    }
    new UNAS.Menu('UNAS_App_SystemTools_Menu', this.name, this.menuIcon, 'Log Center', '', this.logcenterAppWindow);
    //new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'Log Center', this.logcenterAppWindow);
	new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'SystemTools', 'Location' : 5, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
	//new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type' : 'SystemTools', 'Location' : 4, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl},{});
	var OnChangeLanguage = function (e) {
		UNAS.SetMenuTitle('Log Center', UNAS._('Log Center')); //translate menu
		//UNAS.SetShortcutTitle('Log Center', UNAS._('Log Center')); //translate shortcut
        if (typeof self.window !== 'undefined') {
            //need to translate the window title, menu and shortcut
            UNAS.SetWindowTitle('logcenterAppWindow', UNAS._('Log Center'));
        }
    }
	UNAS.LoadTranslation('/apps/logcenter/languages/Translation?v='+this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
	UNAS.CreateApp(this.name,this.shortcutIcon,this.logcenterAppWindow,this.logcenterAppUninstall);
};

new logcenterApp.App(); //Create app
